// 读写器或扫码枪相关接口
import axios from 'axios'
import request from './index'
const readerType: { [key: string]: string } = {
  readerWriter: 'http://127.0.0.1:8083/business/readWriter/gunAndTId/readList', // 有线扫码枪和大读写器
  // readerWriter: '/proxy/business/readWriter/tId/readList', // 读写器
}
// 获取大读写器读写内容
export function getReadList(type: string) {
  return axios.get(readerType[type])
}

// 设备台账标签绑定
export function equipmentLabelBind(data: { sampleId: string; label: string }) {
  return request({
    url: '/equipment/label/bind',
    method: 'post',
    data,
  })
}

// 设备台账标签的设备列表
export function getReaderEquipmentList(data: Object) {
  return request({
    url: '/equipment/label/readList',
    method: 'post',
    data,
  })
}

